List saved hosted-agent provider API keys
GET
/agents/provider-api-keysAuthorization
AuthorizationOAuth2 access token · headerrequiredScopes:
api:reador
AuthorizationBearer token (JWT) · headerrequiredQuery parameters
providerstringrequiredAllowed:
cursorCloudclaudeManagedResponses
200
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X GET "https://leadtime.app/api/public/agents/provider-api-keys?provider=cursorCloud" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"const response = await fetch("https://leadtime.app/api/public/agents/provider-api-keys?provider=cursorCloud", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
}
});import requests
response = requests.get(
"https://leadtime.app/api/public/agents/provider-api-keys?provider=cursorCloud",
headers={
"Authorization": "Bearer YOUR_ACCESS_TOKEN"
},
)Response
No example response.
Unauthorized - Invalid or missing authentication token
Forbidden - Insufficient API scopes or permissions